Package be.fgov.ehealth.rn.registries.commons.v1

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.rn.registries.commons.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.rn.registries.commons.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.rn.registries.commons.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnomaliesType`
  `createAnomaliesType()`
  Create an instance of `AnomaliesType`
  `DetailedStatusType`
  `createDetailedStatusType()`
  Create an instance of `DetailedStatusType`
  `ValidationErrors`
  `createValidationErrors()`
  Create an instance of `ValidationErrors`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.rn.registries.commons.v1

- ## Method Details

  - ### createValidationErrors

    public ValidationErrors createValidationErrors()
    Create an instance of `ValidationErrors`
    Returns:
      the new instance of `ValidationErrors`

  - ### createDetailedStatusType

    public DetailedStatusType createDetailedStatusType()
    Create an instance of `DetailedStatusType`
    Returns:
      the new instance of `DetailedStatusType`

  - ### createAnomaliesType

    public AnomaliesType createAnomaliesType()
    Create an instance of `AnomaliesType`
    Returns:
      the new instance of `AnomaliesType`